Net::OpenSSH::Compat::SSH(3pm)

NAME
Net::OpenSSH::Compat::SSH - Net::OpenSSH adapter for Net::SSH API compatibility

SYNOPSIS
  use Net::OpenSSH::ConnectionCache; # for speed bost
  use Net::OpenSSH::Compat qw(Net::SSH);

  use Net::SSH qw(ssh ssh_cmd sshopen3);

  my $out = ssh_cmd('username@host', $command);

  sshopen2('user@hostname', $reader, $writer, $command);

  sshopen3('user@hostname', $writer, $reader, $error, $command);

DESCRIPTION
This module implements Net::SSH API on top of Net::OpenSSH.

After the module is loaded as follows:

  use Net::OpenSSH::Compat 'Net::SSH';

or from the command line:

  $ perl -MNet::OpenSSH::Compat=Net::SSH script.pl

it will supplant Net::SSH module as if it was installed on the machine and use Net::OpenSSH under the hood to handle SSH operations.

Most programs using Net::SSH should continue to work without any change.

It can be used together with Net::OpenSSH::ConnectionCache usually for a big speed boost.